Future patches will add more functions corresponding to the behaviour
we define in individual GitLab jobs in .gitlab-ci.yml. This is just
a preliminary patch.
Signed-off-by: Erik Skultety <eskultet(a)redhat.com>
---
ci/build.sh | 23 +++++++++++++++++++----
1 file changed, 19 insertions(+), 4 deletions(-)
diff --git a/ci/build.sh b/ci/build.sh
index 322aff2632..5faa96e123 100644
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -15,8 +15,23 @@ export VIR_TEST_DEBUG=1
MESON_ARGS="$MESON_ARGS $MESON_OPTS"
-meson setup build --werror -Dsystem=true $MESON_ARGS || \
-(cat build/meson-logs/meson-log.txt && exit 1)
+run_meson_setup() {
+ meson setup build --werror -Dsystem=true $MESON_ARGS || \
+ (cat build/meson-logs/meson-log.txt && exit 1)
+}
-meson compile -C build $MESON_BUILD_ARGS
-meson test -C build $MESON_TEST_ARGS
+run_build() {
+ meson compile -C build $MESON_BUILD_ARGS
+}
+
+run_test() {
+ meson test -C build $MESON_TEST_ARGS
+}
+
+main() {
+ run_meson_setup
+ run_build
+ run_test
+}
+
+main "$@"
--
2.39.1